Get Receipts based on filter criteria

Returns a list of receipts for interactions that have finished processing and match the specified criteria.

Each result in the response includes the following fields:

  • ConversationId: Unique identifier for the conversation. Corresponds to the Id field from GET /Metadata and the ConversationId from GET /Conversations/Insights
  • DateTimeReceived: The date/time the interaction arrived in the system
  • ClientCallId: Your external telephony reference ID for this conversation
  • DateTimeTransmitted: The date/time the export attempt was transmitted
  • ReceiptId: The receipt ID returned from the downstream system
  • SafetyEvent: Safety event classification result from the export
  • AdverseEvent: Adverse event classification result from the export
  • ProductQualityComplaint: Product quality complaint result from the export
  • uid: The external system UID returned from the export endpoint
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Specifies whether to filter by 'ArrivalDate' or 'EvaluationCompleteDate'. Defaults to 'ArrivalDate' if not specified.
Valid values: ArrivalDate, EvaluationCompleteDate

string
required

The start date for filtering export receipts. Format: YYYY-MM-DDTHH:MM:SS.

string
required

The end date for filtering export receipts. Format: YYYY-MM-DDTHH:MM:SS. Must be equal to or later than StartDate.

string
required

The status filter for calls. Valid values: 'Sampled', 'ReadyToSample', 'Processing', and 'FailedToProcess'.

string

GUID of the last result from the previous page. Used for cursor-based pagination.

int32

Results per page. Default 10, max 1000.

string

List of hierarchy codes to filter results. Can be provided as comma-separated string or multiple parameters.

Responses
200

Returns the receipts that match the specified criteria

400

If the request parameters are invalid

404

If no receipts meet the criteria

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!